org.activiti.engine.form

## Interface FormProperty

- All Superinterfaces:
    Serializable

      public interface FormProperty
      extends Serializable

  Represents a single property on a form.
  Author:
    Tom Baeyens

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The key used to submit the property in `FormService.submitStartFormData(String, java.util.Map)` or `FormService.submitTaskFormData(String, java.util.Map)`
    `String` | `getName()` The display label
    `FormType` | `getType()` Type of the property.
    `String` | `getValue()` Optional value that should be used to display in this property
    `boolean` | `isReadable()` Is this property read to be displayed in the form and made accessible with the methods `FormService.getStartFormData(String)` and `FormService.getTaskFormData(String)`.
    `boolean` | `isRequired()` Is this property a required input field
    `boolean` | `isWritable()` Is this property expected when a user submits the form?

- - ### Method Detail

    - #### getId

          String getId()

      The key used to submit the property in `FormService.submitStartFormData(String, java.util.Map)` or `FormService.submitTaskFormData(String, java.util.Map)`

    - #### getName

          String getName()

      The display label

    - #### getType

          FormType getType()

      Type of the property.

    - #### getValue

          String getValue()

      Optional value that should be used to display in this property

    - #### isReadable

          boolean isReadable()

      Is this property read to be displayed in the form and made accessible with the methods `FormService.getStartFormData(String)` and `FormService.getTaskFormData(String)`.

    - #### isWritable

          boolean isWritable()

      Is this property expected when a user submits the form?

    - #### isRequired

          boolean isRequired()

      Is this property a required input field

Copyright © 2016 Alfresco. All rights reserved.